# Authorization server metadata (RFC 8414)

GET`/.well-known/oauth-authorization-server`

Request

**curl**


```bash
curl -X GET "https://tasksmate-fdfsarhnf5gacfb7.eastus-01.azurewebsites.net/.well-known/oauth-authorization-server"
```

Response 200

```json
{
  "issuer": "string",
  "authorization_endpoint": "string",
  "token_endpoint": "string",
  "revocation_endpoint": "string",
  "scopes_supported": [
    "string"
  ],
  "response_types_supported": [
    "string"
  ],
  "response_modes_supported": [
    "string"
  ],
  "grant_types_supported": [
    "string"
  ],
  "code_challenge_methods_supported": [
    "string"
  ],
  "token_endpoint_auth_methods_supported": [
    "string"
  ],
  "revocation_endpoint_auth_methods_supported": [
    "string"
  ],
  "service_documentation": "string"
}
```

Authorization server metadata (RFC 8414): the endpoints, scopes, grant types and PKCE method.

## Responses

### 200

Successful Response

application/json

_AuthorizationServerMetadata_

Returned by `oauth.server_metadata`.

object

**issuer**

required

_Issuer_

string

**authorization\_endpoint**

required

_Authorization Endpoint_

string

**token\_endpoint**

required

_Token Endpoint_

string

**revocation\_endpoint**

required

_Revocation Endpoint_

string

**scopes\_supported**

required

_Scopes Supported_

Array<string>

**response\_types\_supported**

required

_Response Types Supported_

Array<string>

**response\_modes\_supported**

required

_Response Modes Supported_

Array<string>

**grant\_types\_supported**

required

_Grant Types Supported_

Array<string>

**code\_challenge\_methods\_supported**

required

_Code Challenge Methods Supported_

Array<string>

**token\_endpoint\_auth\_methods\_supported**

required

_Token Endpoint Auth Methods Supported_

Array<string>

**revocation\_endpoint\_auth\_methods\_supported**

required

_Revocation Endpoint Auth Methods Supported_

Array<string>

**service\_documentation**

Any of:

**string**


string

**null**


null

Example

```json
{
  "issuer": "string",
  "authorization_endpoint": "string",
  "token_endpoint": "string",
  "revocation_endpoint": "string",
  "scopes_supported": [
    "string"
  ],
  "response_types_supported": [
    "string"
  ],
  "response_modes_supported": [
    "string"
  ],
  "grant_types_supported": [
    "string"
  ],
  "code_challenge_methods_supported": [
    "string"
  ],
  "token_endpoint_auth_methods_supported": [
    "string"
  ],
  "revocation_endpoint_auth_methods_supported": [
    "string"
  ],
  "service_documentation": "string"
}
```

---
Source: https://developers.tasksmate.indrasol.com/reference/operations/oauthserver_metadata/
